#ifndef __CRC16_H__
#define __CRC16_H__



#include "./SYSTEM/sys/sys.h"
#include "./SYSTEM/delay/delay.h"

#define TRUE             (1)  /**< 真值定义 */
#define FALSE            (0)  /**< 假值定义 */

uint16_t Calculate_CRC(uint8_t *puchMsg, uint16_t usDataLen);
uint8_t Check_CRC(uint8_t *buf, uint16_t len);
#endif
